Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.imp3d.objects
Class Null

    java.lang.Object
      de.grogra.graph.impl.Edge
          de.grogra.graph.impl.Node
              de.grogra.imp3d.objects.Null

All Implemented Interfaces:
  Transformation, Manageable, PersistenceCapable, Shareable, UserFields, XObject, Map, java.io.Serializable

Direct Known Subclasses:
  BlockColor, BlockScale, ColoredNull, Label, LightNode, ShadedNull

    public class Null

extends Node
implements Transformation

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class de.grogra.graph.impl.Node
`Node.AccessorBridge, Node.FieldAttributeAccessor, Node.NType`

Nested classes/interfaces inherited from interface de.grogra.util.Map
`Map.Chain`

Field Summary
`static Node.NType` | `$TYPE`
`protected Transform3D` | `transform`
`static Node.NType.Field` | `transform$FIELD`
`static int` | `TRANSFORMING_MASK`
`static Node.NType.Field` | `transforming$FIELD`
`static int` | `USED_BITS`

Fields inherited from class de.grogra.graph.impl.Node
`ADDITIONAL_FIELDS, bits, DELETED, EXTENT_BIT, EXTENT_MASK, extentIndex$FIELD, extentTail$FIELD, HAS_OBSERVERS, IS_INTERPRETIVE, isInterpretive$FIELD, LAST_EXTENT_INDEX, layer$FIELD, MARK, mark$FIELD, MIME_TYPE, MIN_UNUSED_SPECIAL_OF_SOURCE, MIN_UNUSED_SPECIAL_OF_TARGET, name$FIELD`

Fields inherited from interface de.grogra.util.Map
`DEFAULT_VALUE, EMPTY_MAP`

Constructor Summary
`Null()`
`Null(double x, double y, double z)`
`Null(Transform3D transform)`

Method Summary
`Matrix4d` | `getLocalTransformation()` Returns a new transformation matrix which contains the local transformations of the node.
`protected Node.NType` | `getNTypeImpl()` This method returns the `Node.NType` which describes the managed fields of the class of this node.
`Transform3D` | `getTransform()`
`Vector3d` | `getTranslation()`
`boolean` | `isTransforming()`
`protected Node` | `newInstance()` This method returns a new instance of the class of this node.
`void` | `postTransform(java.lang.Object object, boolean asNode, Matrix4d in, Matrix4d out, Matrix4d pre, GraphState gs)` Implements the change from object's transformation `in` to the object's post-transformation `out`.
`void` | `preTransform(java.lang.Object object, boolean asNode, Matrix4d in, Matrix4d out, GraphState gs)` Implements the change from the parent's post-transformation `in` to the object's transformation `out`.
`void` | `setRotation(double x, double y, double z)` This method sets the local transformation to a rotation about the coordinate axes
`void` | `setScale(float scale)`
`void` | `setTransform(double x, double y, double z)` This method sets the local transformation to a `TVector3d`, i.e., a translation.
`void` | `setTransform(Matrix3d t)`
`void` | `setTransform(Matrix4d t)`
`void` | `setTransform(TMatrix4d t)`
`void` | `setTransform(Transform3D value)`
`void` | `setTransform(Tuple3d t)`
`void` | `setTransform(Tuple3f t)`
`void` | `setTransform(TVector3d t)`
`void` | `setTransforming(boolean v)`
`void` | `setTranslation(double x, double y, double z)` This method sets the local transformation to a `TVector3d`, i.e., a translation.

Methods inherited from class de.grogra.graph.impl.Node
`addEdgeBitsTo, addReference, appendBranchNode, appendBranchNode, appendReferencesTo, clone, clone, cloneGraph, dump, dumpTree, dup, dupUnmanagedFields, edgeChanged, fieldModified, findAdjacent, get, getAccessor, getAccessor, getAttributes, getAxisParent, getBoolean, getBranch, getBranchLength, getBranchNode, getBranchTail, getByte, getChar, getCommonAncestor, getCurrentGraphState, getDirectChildCount, getDouble, getEdgeAttributeAccessor, getEdgeAttributes, getEdgeBitsTo, getEdgeTo, getExtentIndex, getFirst, getFirstEdge, getFloat, getGraph, getId, getIndex, getInstantiator, getInt, getLayer, getLong, getManageableType, getName, getNeighbor, getNext, getNType, getObject, getOrCreateEdgeTo, getOrNull, getPersistenceManager, getPredecessor, getProvider, getShort, getSource, getStamp, getSuccessor, getSymbol, getSymbolColor, getTarget, getTransaction, getUserField, getUserFieldCount, getXClass, getXData, hasName, initProvider, initXClass, insertBranchNode, insertBranchNode, instantiateGraph, isAncestorOf, isDirection, isManagingInstance, isMarked, isRoot, isSource, isTarget, manageableReadResolve, manageableWriteReplace, paramString, removeAll, removeEdgeBitsTo, removeFromChain, removeFromChain, removeReference, setBranch, setBranch, setExtentIndex, setGraphForDeserialization, setLayer, setMark, setName, setSuccessor, setSuccessor, specialEdgeAdded, specialEdgeRefModified, specialEdgeRemoved, toString, writeReplace`

Methods inherited from class de.grogra.graph.impl.Edge
`addEdgeBits, getBitMark, getEdgeBits, getObjectMark, getSpecialEdgeDescriptor, parseEdgeKeys, remove, removeEdgeBits, setBitMark, setEdgeBits, setObjectMark, testEdgeBits`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface de.grogra.persistence.PersistenceCapable
`getBitMark, getObjectMark, setBitMark, setObjectMark`

Field Detail

### $TYPE

    public static final Node.NType $TYPE

### transform

    protected Transform3D transform

### transform$FIELD

    public static final Node.NType.Field transform$FIELD

### TRANSFORMING_MASK

    public static final int TRANSFORMING_MASK

See Also:
  Constant Field Values

### transforming$FIELD

    public static final Node.NType.Field transforming$FIELD

### USED_BITS

    public static final int USED_BITS

See Also:
  Constant Field Values

Constructor Detail

### Null

    public Null()

### Null

    public Null(double x,
                double y,
                double z)

### Null

    public Null(Transform3D transform)

Method Detail

### getLocalTransformation

    public Matrix4d getLocalTransformation()

  Returns a new transformation matrix which contains the local transformations of the node.

  Returns:

### getNTypeImpl

    protected Node.NType getNTypeImpl()

  Description copied from class: `Node`
  This method returns the `Node.NType` which describes the managed fields of the class of this node. This method has to be implemented in every concrete subclass.

  Overrides:
    `getNTypeImpl` in class `Node`
  Returns:
    type describing the managed fields of the class of this node

### getTransform

    public Transform3D getTransform()

### getTranslation

    public Vector3d getTranslation()

### isTransforming

    public boolean isTransforming()

### newInstance

    protected Node newInstance()

  Description copied from class: `Node`
  This method returns a new instance of the class of this node. This method has to be implemented in every concrete subclass.

  Overrides:
    `newInstance` in class `Node`
  Returns:
    new instance of class of this node

### postTransform

    public void postTransform(java.lang.Object object,
                              boolean asNode,
                              Matrix4d in,
                              Matrix4d out,
                              Matrix4d pre,
                              GraphState gs)

  Description copied from interface: `Transformation`
  Implements the change from object's transformation `in` to the object's post-transformation `out`.

  Specified by:
    `postTransform` in interface `Transformation`
  Parameters:
    `object` - the object for which the transformation is computed
    `asNode` - is `object` a node or an edge?
    `in` - the transformation of the object
    `out` - the post-tranformation of the object to be computed
    `pre` - the post-transformation of the object's parent
    `gs` - the graph state in which the computation has to be done

### preTransform

    public void preTransform(java.lang.Object object,
                             boolean asNode,
                             Matrix4d in,
                             Matrix4d out,
                             GraphState gs)

  Description copied from interface: `Transformation`
  Implements the change from the parent's post-transformation `in` to the object's transformation `out`.

  Specified by:
    `preTransform` in interface `Transformation`
  Parameters:
    `object` - the object for which the transformation is computed
    `asNode` - is `object` a node or an edge?
    `in` - the post-transformation of the object's parent
    `out` - the tranformation of the object to be computed
    `gs` - the graph state in which the computation has to be done

### setRotation

    public void setRotation(double x,
                            double y,
                            double z)

  This method sets the local transformation to a rotation about the coordinate axes

  Parameters:
    `x` - the x-coordinate of the translation vector
    `y` - the y-coordinate of the translation vector
    `z` - the z-coordinate of the translation vector

### setScale

    public void setScale(float scale)

### setTransform

    public void setTransform(double x,
                             double y,
                             double z)

  This method sets the local transformation to a `TVector3d`, i.e., a translation.

  Parameters:
    `x` - the x-coordinate of the translation vector
    `y` - the y-coordinate of the translation vector
    `z` - the z-coordinate of the translation vector

### setTransform

    public void setTransform(Matrix3d t)

### setTransform

    public void setTransform(Matrix4d t)

### setTransform

    public void setTransform(TMatrix4d t)

### setTransform

    public void setTransform(Transform3D value)

### setTransform

    public void setTransform(Tuple3d t)

### setTransform

    public void setTransform(Tuple3f t)

### setTransform

    public void setTransform(TVector3d t)

### setTransforming

    public void setTransforming(boolean v)

### setTranslation

    public void setTranslation(double x,
                               double y,
                               double z)

  This method sets the local transformation to a `TVector3d`, i.e., a translation.

  Parameters:
    `x` - the x-coordinate of the translation vector
    `y` - the y-coordinate of the translation vector
    `z` - the z-coordinate of the translation vector

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD